mp3splt-gtk: gui_state Struct Reference

mp3splt-gtk 0.9.3.1519

Loading...
Searching...
No Matches
gui_state Struct Reference
Collaboration diagram for gui_state:
[legend]

## Data Fields
GtkWidget * | add_button
GtkWidget * | adjust_mode
GtkWidget * | adjust_param_vbox
GtkComboBox * | album_text_properties_combo
GtkWidget * | all_min_silence_label
GtkWidget * | all_min_track_label
GtkWidget * | all_number_of_tracks_label
GtkWidget * | all_offset_label
GtkWidget * | all_shots_label
GtkWidget * | all_silence_remove_silence
GtkWidget * | all_spinner_silence_minimum
GtkWidget * | all_spinner_silence_number_tracks
GtkWidget * | all_spinner_silence_offset
GtkWidget * | all_spinner_silence_shots
GtkWidget * | all_spinner_silence_threshold
GtkWidget * | all_spinner_track_minimum
GtkWidget * | all_spinner_trim_silence_threshold
GtkWidget * | all_threshold_label
GtkWidget * | all_trim_threshold_label
GtkApplication * | application
GtkComboBox * | artist_text_properties_combo
GtkWidget * | bit_reservoir_mode
GtkWidget * | cancel_button
gint | checkbox_ypos
GtkWidget * | comment_tag_entry
GtkComboBox * | comment_text_properties_combo
GtkWidget * | connect_button
GtkWidget * | create_dirs_from_output_files
GtkWidget * | custom_dir_file_chooser_button
GtkWidget * | disconnect_button
GtkWidget * | drawing_area
GtkWidget * | drawing_area_expander
GtkWidget * | equal_tracks_label
GtkWidget * | equal_tracks_label_after
gint | erase_split_ylimit
GtkWidget * | example_output_dir_box
GtkWidget * | example_output_dir_entry
GtkWidget * | extract_tags_box
GtkWidget * | frame_mode
GtkWidget * | freedb_add_button
GtkWidget * | freedb_entry
GtkWidget * | freedb_search_button
GtkWidget * | freedb_spinner
GtkTreeView * | freedb_tree
GtkWidget * | freedb_widget
GtkWidget * | freedb_window
GtkComboBox * | genre_combo
GtkWidget * | go_beg_button
GtkWidget * | Go_BegButton_active
GtkWidget * | Go_BegButton_inactive
GtkWidget * | go_end_button
GtkWidget * | Go_EndButton_active
GtkWidget * | Go_EndButton_inactive
GtkWidget * | gstreamer_stop_before_end_box
GString * | input_filename
GtkWidget * | label_time
gint | margin
GtkTextBuffer * | mess_hist_buffer
GtkTextTagTable * | mess_hist_tag_table
GtkWidget * | mess_hist_view
GtkWidget * | mess_history_window
GtkWidget * | multiple_files_component
GtkWidget * | multiple_files_remove_all_files_button
GtkWidget * | multiple_files_remove_file_button
GtkTreeView * | multiple_files_tree
GtkToggleButton * | names_from_filename
GtkWidget * | open_file_chooser_button
GtkWidget * | output_default_label
GtkWidget * | output_dir_radio
GtkWidget * | output_entry
GtkWidget * | output_label
GtkWidget * | pause_button
GtkWidget * | PauseButton_active
GtkWidget * | PauseButton_inactive
GtkProgressBar * | percent_progress_bar
GtkWidget * | play_button
GtkWidget * | PlayButton_active
GtkWidget * | PlayButton_inactive
GtkWidget * | player_add_button
GtkWidget * | player_box
GtkBox * | player_buttons_hbox
GtkWidget * | player_combo_box
GtkWidget * | player_scrolled_window
GtkWidget * | playlist_box
GtkWidget * | playlist_remove_all_files_button
GtkWidget * | playlist_remove_file_button
GtkTreeView * | playlist_tree
GtkWidget * | preferences_widget
GtkWidget * | preferences_window
GtkAdjustment * | progress_adj
GtkWidget * | progress_bar
gint | progress_ylimit
GtkWidget * | queue_files_button
GtkWidget * | radio_button
GtkWidget * | radio_output
gint | real_checkbox_length
gint | real_erase_split_length
gint | real_move_split_length
gint | real_wave_length
GtkWidget * | regex_entry
GtkWidget * | remove_all_button
GtkWidget * | remove_all_files_button
GtkWidget * | remove_file_button
GtkWidget * | remove_row_button
GtkWidget * | replace_underscore_by_space_check_box
GtkWidget * | sample_result_label
GtkWidget * | scan_silence_button
GtkWidget * | scan_silence_button_player
GtkWidget * | scan_trim_silence_button
GtkWidget * | scan_trim_silence_button_player
GtkWidget * | silence_remove_silence
GtkWidget * | silence_wave_check_button
GtkWidget * | song_infos
GtkWidget * | song_name_label
GtkWidget * | spinner_adjust_gap
GtkWidget * | spinner_adjust_min
GtkWidget * | spinner_adjust_offset
GtkWidget * | spinner_adjust_threshold
GtkWidget * | spinner_equal_tracks
GtkWidget * | spinner_hundr_secs
GtkWidget * | spinner_minutes
GtkWidget * | spinner_seconds
GtkWidget * | spinner_silence_minimum
GtkWidget * | spinner_silence_minimum_track
GtkWidget * | spinner_silence_number_tracks
GtkWidget * | spinner_silence_offset
GtkWidget * | spinner_silence_shots
GtkWidget * | spinner_silence_threshold
GtkWidget * | spinner_time
GtkWidget * | split_files_widget
GtkWidget * | split_files_window
GtkWidget * | split_mode_radio_button
GtkTreeView * | split_tree
gint | splitpoint_ypos
GtkWidget * | splitpoints_widget
GtkWidget * | splitpoints_window
GtkStatusbar * | status_bar
GtkWidget * | stop_button
GtkWidget * | StopButton_active
GtkWidget * | StopButton_inactive
GtkWidget * | tags_radio
GtkWidget * | tags_version_radio
GtkWidget * | test_regex_fname_entry
gint | text_ypos
GtkWidget * | time_label
GtkWidget * | time_label_after
GtkComboBox * | title_text_properties_combo
GtkTreeView * | tree_view
GtkWidget * | volume_button
GPtrArray * | wave_preview_labels
GPtrArray * | wave_quality_das
gint | wave_ypos
GtkWidget * | window

## Detailed Description

Definition at line 227 of file ui_types.h.

## Field Documentation

## ◆ add_button

GtkWidget* gui_state::add_button

Definition at line 269 of file ui_types.h.

## ◆ adjust_mode

GtkWidget* gui_state::adjust_mode

Definition at line 317 of file ui_types.h.

## ◆ adjust_param_vbox

GtkWidget* gui_state::adjust_param_vbox

Definition at line 324 of file ui_types.h.

## ◆ album_text_properties_combo

GtkComboBox* gui_state::album_text_properties_combo

Definition at line 356 of file ui_types.h.

## ◆ all_min_silence_label

GtkWidget* gui_state::all_min_silence_label

Definition at line 343 of file ui_types.h.

## ◆ all_min_track_label

GtkWidget* gui_state::all_min_track_label

Definition at line 344 of file ui_types.h.

## ◆ all_number_of_tracks_label

GtkWidget* gui_state::all_number_of_tracks_label

Definition at line 342 of file ui_types.h.

## ◆ all_offset_label

GtkWidget* gui_state::all_offset_label

Definition at line 341 of file ui_types.h.

## ◆ all_shots_label

GtkWidget* gui_state::all_shots_label

Definition at line 339 of file ui_types.h.

## ◆ all_silence_remove_silence

GtkWidget* gui_state::all_silence_remove_silence

Definition at line 335 of file ui_types.h.

## ◆ all_spinner_silence_minimum

GtkWidget* gui_state::all_spinner_silence_minimum

Definition at line 330 of file ui_types.h.

## ◆ all_spinner_silence_number_tracks

GtkWidget* gui_state::all_spinner_silence_number_tracks

Definition at line 329 of file ui_types.h.

## ◆ all_spinner_silence_offset

GtkWidget* gui_state::all_spinner_silence_offset

Definition at line 332 of file ui_types.h.

## ◆ all_spinner_silence_shots

GtkWidget* gui_state::all_spinner_silence_shots

Definition at line 336 of file ui_types.h.

## ◆ all_spinner_silence_threshold

GtkWidget* gui_state::all_spinner_silence_threshold

Definition at line 334 of file ui_types.h.

## ◆ all_spinner_track_minimum

GtkWidget* gui_state::all_spinner_track_minimum

Definition at line 331 of file ui_types.h.

## ◆ all_spinner_trim_silence_threshold

GtkWidget* gui_state::all_spinner_trim_silence_threshold

Definition at line 333 of file ui_types.h.

## ◆ all_threshold_label

GtkWidget* gui_state::all_threshold_label

Definition at line 338 of file ui_types.h.

## ◆ all_trim_threshold_label

GtkWidget* gui_state::all_trim_threshold_label

Definition at line 340 of file ui_types.h.

## ◆ application

GtkApplication* gui_state::application

Definition at line 228 of file ui_types.h.

## ◆ artist_text_properties_combo

GtkComboBox* gui_state::artist_text_properties_combo

Definition at line 355 of file ui_types.h.

## ◆ bit_reservoir_mode

GtkWidget* gui_state::bit_reservoir_mode

Definition at line 316 of file ui_types.h.

## ◆ cancel_button

GtkWidget* gui_state::cancel_button

Definition at line 306 of file ui_types.h.

## ◆ checkbox_ypos

gint gui_state::checkbox_ypos

Definition at line 260 of file ui_types.h.

## ◆ comment_tag_entry

GtkWidget* gui_state::comment_tag_entry

Definition at line 360 of file ui_types.h.

## ◆ comment_text_properties_combo

GtkComboBox* gui_state::comment_text_properties_combo

Definition at line 358 of file ui_types.h.

## ◆ connect_button

GtkWidget* gui_state::connect_button

Definition at line 301 of file ui_types.h.

## ◆ create_dirs_from_output_files

GtkWidget* gui_state::create_dirs_from_output_files

Definition at line 366 of file ui_types.h.

## ◆ custom_dir_file_chooser_button

GtkWidget* gui_state::custom_dir_file_chooser_button

Definition at line 350 of file ui_types.h.

## ◆ disconnect_button

GtkWidget* gui_state::disconnect_button

Definition at line 302 of file ui_types.h.

## ◆ drawing_area

GtkWidget* gui_state::drawing_area

Definition at line 246 of file ui_types.h.

## ◆ drawing_area_expander

GtkWidget* gui_state::drawing_area_expander

Definition at line 248 of file ui_types.h.

## ◆ equal_tracks_label

GtkWidget* gui_state::equal_tracks_label

Definition at line 407 of file ui_types.h.

## ◆ equal_tracks_label_after

GtkWidget* gui_state::equal_tracks_label_after

Definition at line 408 of file ui_types.h.

## ◆ erase_split_ylimit

gint gui_state::erase_split_ylimit

Definition at line 257 of file ui_types.h.

## ◆ example_output_dir_box

GtkWidget* gui_state::example_output_dir_box

Definition at line 352 of file ui_types.h.

## ◆ example_output_dir_entry

GtkWidget* gui_state::example_output_dir_entry

Definition at line 351 of file ui_types.h.

## ◆ extract_tags_box

GtkWidget* gui_state::extract_tags_box

Definition at line 364 of file ui_types.h.

## ◆ frame_mode

GtkWidget* gui_state::frame_mode

Definition at line 315 of file ui_types.h.

## ◆ freedb_add_button

GtkWidget* gui_state::freedb_add_button

Definition at line 399 of file ui_types.h.

## ◆ freedb_entry

GtkWidget* gui_state::freedb_entry

Definition at line 395 of file ui_types.h.

## ◆ freedb_search_button

GtkWidget* gui_state::freedb_search_button

Definition at line 396 of file ui_types.h.

## ◆ freedb_spinner

GtkWidget* gui_state::freedb_spinner

Definition at line 397 of file ui_types.h.

## ◆ freedb_tree

GtkTreeView* gui_state::freedb_tree

Definition at line 398 of file ui_types.h.

## ◆ freedb_widget

GtkWidget* gui_state::freedb_widget

Definition at line 432 of file ui_types.h.

## ◆ freedb_window

GtkWidget* gui_state::freedb_window

Definition at line 433 of file ui_types.h.

## ◆ genre_combo

GtkComboBox* gui_state::genre_combo

Definition at line 359 of file ui_types.h.

## ◆ go_beg_button

GtkWidget* gui_state::go_beg_button

Definition at line 298 of file ui_types.h.

## ◆ Go_BegButton_active

GtkWidget* gui_state::Go_BegButton_active

Definition at line 283 of file ui_types.h.

## ◆ Go_BegButton_inactive

GtkWidget* gui_state::Go_BegButton_inactive

Definition at line 284 of file ui_types.h.

## ◆ go_end_button

GtkWidget* gui_state::go_end_button

Definition at line 299 of file ui_types.h.

## ◆ Go_EndButton_active

GtkWidget* gui_state::Go_EndButton_active

Definition at line 285 of file ui_types.h.

## ◆ Go_EndButton_inactive

GtkWidget* gui_state::Go_EndButton_inactive

Definition at line 286 of file ui_types.h.

## ◆ gstreamer_stop_before_end_box

GtkWidget* gui_state::gstreamer_stop_before_end_box

Definition at line 414 of file ui_types.h.

## ◆ input_filename

GString* gui_state::input_filename

Definition at line 232 of file ui_types.h.

## ◆ label_time

GtkWidget* gui_state::label_time

Definition at line 239 of file ui_types.h.

## ◆ margin

gint gui_state::margin

Definition at line 251 of file ui_types.h.

## ◆ mess_hist_buffer

GtkTextBuffer* gui_state::mess_hist_buffer

Definition at line 274 of file ui_types.h.

## ◆ mess_hist_tag_table

GtkTextTagTable* gui_state::mess_hist_tag_table

Definition at line 273 of file ui_types.h.

## ◆ mess_hist_view

GtkWidget* gui_state::mess_hist_view

Definition at line 419 of file ui_types.h.

## ◆ mess_history_window

GtkWidget* gui_state::mess_history_window

Definition at line 418 of file ui_types.h.

## ◆ multiple_files_component

GtkWidget* gui_state::multiple_files_component

Definition at line 410 of file ui_types.h.

## ◆ multiple_files_remove_all_files_button

GtkWidget* gui_state::multiple_files_remove_all_files_button

Definition at line 424 of file ui_types.h.

## ◆ multiple_files_remove_file_button

GtkWidget* gui_state::multiple_files_remove_file_button

Definition at line 423 of file ui_types.h.

## ◆ multiple_files_tree

GtkTreeView* gui_state::multiple_files_tree

Definition at line 421 of file ui_types.h.

## ◆ names_from_filename

GtkToggleButton* gui_state::names_from_filename

Definition at line 276 of file ui_types.h.

## ◆ open_file_chooser_button

GtkWidget* gui_state::open_file_chooser_button

Definition at line 231 of file ui_types.h.

## ◆ output_default_label

GtkWidget* gui_state::output_default_label

Definition at line 370 of file ui_types.h.

## ◆ output_dir_radio

GtkWidget* gui_state::output_dir_radio

Definition at line 349 of file ui_types.h.

## ◆ output_entry

GtkWidget* gui_state::output_entry

Definition at line 368 of file ui_types.h.

## ◆ output_label

GtkWidget* gui_state::output_label

Definition at line 369 of file ui_types.h.

## ◆ pause_button

GtkWidget* gui_state::pause_button

Definition at line 278 of file ui_types.h.

## ◆ PauseButton_active

GtkWidget* gui_state::PauseButton_active

Definition at line 291 of file ui_types.h.

## ◆ PauseButton_inactive

GtkWidget* gui_state::PauseButton_inactive

Definition at line 292 of file ui_types.h.

## ◆ percent_progress_bar

GtkProgressBar* gui_state::percent_progress_bar

Definition at line 247 of file ui_types.h.

## ◆ play_button

GtkWidget* gui_state::play_button

Definition at line 295 of file ui_types.h.

## ◆ PlayButton_active

GtkWidget* gui_state::PlayButton_active

Definition at line 287 of file ui_types.h.

## ◆ PlayButton_inactive

GtkWidget* gui_state::PlayButton_inactive

Definition at line 288 of file ui_types.h.

## ◆ player_add_button

GtkWidget* gui_state::player_add_button

Definition at line 297 of file ui_types.h.

## ◆ player_box

GtkWidget* gui_state::player_box

Definition at line 234 of file ui_types.h.

## ◆ player_buttons_hbox

GtkBox* gui_state::player_buttons_hbox

Definition at line 280 of file ui_types.h.

## ◆ player_combo_box

GtkWidget* gui_state::player_combo_box

Definition at line 412 of file ui_types.h.

## ◆ player_scrolled_window

GtkWidget* gui_state::player_scrolled_window

Definition at line 265 of file ui_types.h.

## ◆ playlist_box

GtkWidget* gui_state::playlist_box

Definition at line 235 of file ui_types.h.

## ◆ playlist_remove_all_files_button

GtkWidget* gui_state::playlist_remove_all_files_button

Definition at line 313 of file ui_types.h.

## ◆ playlist_remove_file_button

GtkWidget* gui_state::playlist_remove_file_button

Definition at line 312 of file ui_types.h.

## ◆ playlist_tree

GtkTreeView* gui_state::playlist_tree

Definition at line 310 of file ui_types.h.

## ◆ preferences_widget

GtkWidget* gui_state::preferences_widget

Definition at line 426 of file ui_types.h.

## ◆ preferences_window

GtkWidget* gui_state::preferences_window

Definition at line 427 of file ui_types.h.

## ◆ progress_adj

GtkAdjustment* gui_state::progress_adj

Definition at line 241 of file ui_types.h.

## ◆ progress_bar

GtkWidget* gui_state::progress_bar

Definition at line 242 of file ui_types.h.

## ◆ progress_ylimit

gint gui_state::progress_ylimit

Definition at line 258 of file ui_types.h.

## ◆ queue_files_button

GtkWidget* gui_state::queue_files_button

Definition at line 391 of file ui_types.h.

## ◆ radio_button

GtkWidget* gui_state::radio_button

Definition at line 413 of file ui_types.h.

## ◆ radio_output

GtkWidget* gui_state::radio_output

Definition at line 401 of file ui_types.h.

## ◆ real_checkbox_length

gint gui_state::real_checkbox_length

Definition at line 254 of file ui_types.h.

## ◆ real_erase_split_length

gint gui_state::real_erase_split_length

Definition at line 252 of file ui_types.h.

## ◆ real_move_split_length

gint gui_state::real_move_split_length

Definition at line 253 of file ui_types.h.

## ◆ real_wave_length

gint gui_state::real_wave_length

Definition at line 255 of file ui_types.h.

## ◆ regex_entry

GtkWidget* gui_state::regex_entry

Definition at line 361 of file ui_types.h.

## ◆ remove_all_button

GtkWidget* gui_state::remove_all_button

Definition at line 271 of file ui_types.h.

## ◆ remove_all_files_button

GtkWidget* gui_state::remove_all_files_button

Definition at line 393 of file ui_types.h.

## ◆ remove_file_button

GtkWidget* gui_state::remove_file_button

Definition at line 392 of file ui_types.h.

## ◆ remove_row_button

GtkWidget* gui_state::remove_row_button

Definition at line 270 of file ui_types.h.

## ◆ replace_underscore_by_space_check_box

GtkWidget* gui_state::replace_underscore_by_space_check_box

Definition at line 354 of file ui_types.h.

## ◆ sample_result_label

GtkWidget* gui_state::sample_result_label

Definition at line 363 of file ui_types.h.

## ◆ scan_silence_button

GtkWidget* gui_state::scan_silence_button

Definition at line 380 of file ui_types.h.

## ◆ scan_silence_button_player

GtkWidget* gui_state::scan_silence_button_player

Definition at line 381 of file ui_types.h.

## ◆ scan_trim_silence_button

GtkWidget* gui_state::scan_trim_silence_button

Definition at line 378 of file ui_types.h.

## ◆ scan_trim_silence_button_player

GtkWidget* gui_state::scan_trim_silence_button_player

Definition at line 379 of file ui_types.h.

## ◆ silence_remove_silence

GtkWidget* gui_state::silence_remove_silence

Definition at line 389 of file ui_types.h.

## ◆ silence_wave_check_button

GtkWidget* gui_state::silence_wave_check_button

Definition at line 304 of file ui_types.h.

## ◆ song_infos

GtkWidget* gui_state::song_infos

Definition at line 238 of file ui_types.h.

## ◆ song_name_label

GtkWidget* gui_state::song_name_label

Definition at line 237 of file ui_types.h.

## ◆ spinner_adjust_gap

GtkWidget* gui_state::spinner_adjust_gap

Definition at line 320 of file ui_types.h.

## ◆ spinner_adjust_min

GtkWidget* gui_state::spinner_adjust_min

Definition at line 321 of file ui_types.h.

## ◆ spinner_adjust_offset

GtkWidget* gui_state::spinner_adjust_offset

Definition at line 319 of file ui_types.h.

## ◆ spinner_adjust_threshold

GtkWidget* gui_state::spinner_adjust_threshold

Definition at line 322 of file ui_types.h.

## ◆ spinner_equal_tracks

GtkWidget* gui_state::spinner_equal_tracks

Definition at line 327 of file ui_types.h.

## ◆ spinner_hundr_secs

GtkWidget* gui_state::spinner_hundr_secs

Definition at line 376 of file ui_types.h.

## ◆ spinner_minutes

GtkWidget* gui_state::spinner_minutes

Definition at line 374 of file ui_types.h.

## ◆ spinner_seconds

GtkWidget* gui_state::spinner_seconds

Definition at line 375 of file ui_types.h.

## ◆ spinner_silence_minimum

GtkWidget* gui_state::spinner_silence_minimum

Definition at line 384 of file ui_types.h.

## ◆ spinner_silence_minimum_track

GtkWidget* gui_state::spinner_silence_minimum_track

Definition at line 385 of file ui_types.h.

## ◆ spinner_silence_number_tracks

GtkWidget* gui_state::spinner_silence_number_tracks

Definition at line 383 of file ui_types.h.

## ◆ spinner_silence_offset

GtkWidget* gui_state::spinner_silence_offset

Definition at line 386 of file ui_types.h.

## ◆ spinner_silence_shots

GtkWidget* gui_state::spinner_silence_shots

Definition at line 388 of file ui_types.h.

## ◆ spinner_silence_threshold

GtkWidget* gui_state::spinner_silence_threshold

Definition at line 387 of file ui_types.h.

## ◆ spinner_time

GtkWidget* gui_state::spinner_time

Definition at line 326 of file ui_types.h.

## ◆ split_files_widget

GtkWidget* gui_state::split_files_widget

Definition at line 429 of file ui_types.h.

## ◆ split_files_window

GtkWidget* gui_state::split_files_window

Definition at line 430 of file ui_types.h.

## ◆ split_mode_radio_button

GtkWidget* gui_state::split_mode_radio_button

Definition at line 403 of file ui_types.h.

## ◆ split_tree

GtkTreeView* gui_state::split_tree

Definition at line 372 of file ui_types.h.

## ◆ splitpoint_ypos

gint gui_state::splitpoint_ypos

Definition at line 259 of file ui_types.h.

## ◆ splitpoints_widget

GtkWidget* gui_state::splitpoints_widget

Definition at line 435 of file ui_types.h.

## ◆ splitpoints_window

GtkWidget* gui_state::splitpoints_window

Definition at line 436 of file ui_types.h.

## ◆ status_bar

GtkStatusbar* gui_state::status_bar

Definition at line 267 of file ui_types.h.

## ◆ stop_button

GtkWidget* gui_state::stop_button

Definition at line 296 of file ui_types.h.

## ◆ StopButton_active

GtkWidget* gui_state::StopButton_active

Definition at line 289 of file ui_types.h.

## ◆ StopButton_inactive

GtkWidget* gui_state::StopButton_inactive

Definition at line 290 of file ui_types.h.

## ◆ tags_radio

GtkWidget* gui_state::tags_radio

Definition at line 346 of file ui_types.h.

## ◆ tags_version_radio

GtkWidget* gui_state::tags_version_radio

Definition at line 347 of file ui_types.h.

## ◆ test_regex_fname_entry

GtkWidget* gui_state::test_regex_fname_entry

Definition at line 362 of file ui_types.h.

## ◆ text_ypos

gint gui_state::text_ypos

Definition at line 261 of file ui_types.h.

## ◆ time_label

GtkWidget* gui_state::time_label

Definition at line 405 of file ui_types.h.

## ◆ time_label_after

GtkWidget* gui_state::time_label_after

Definition at line 406 of file ui_types.h.

## ◆ title_text_properties_combo

GtkComboBox* gui_state::title_text_properties_combo

Definition at line 357 of file ui_types.h.

## ◆ tree_view

GtkTreeView* gui_state::tree_view

Definition at line 244 of file ui_types.h.

## ◆ volume_button

GtkWidget* gui_state::volume_button

Definition at line 308 of file ui_types.h.

## ◆ wave_preview_labels

GPtrArray* gui_state::wave_preview_labels

Definition at line 416 of file ui_types.h.

## ◆ wave_quality_das

GPtrArray* gui_state::wave_quality_das

Definition at line 264 of file ui_types.h.

## ◆ wave_ypos

gint gui_state::wave_ypos

Definition at line 262 of file ui_types.h.

## ◆ window

GtkWidget* gui_state::window

Definition at line 229 of file ui_types.h.

The documentation for this struct was generated from the following file:

- src/ui_types.h